Bug 1680677 - Broken dependency to pgpring because pgpring was renamed to mutt_pgpring by mutt upstream [NEEDINFO]
Summary: Broken dependency to pgpring because pgpring was renamed to mutt_pgpring by m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pgp-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1712340 (view as bug list)
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-02-25 14:01 UTC by Matej Mužila
Modified: 2019-08-31 07:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:38 UTC
Type: Bug
mhroncok: needinfo? (nb)
mhroncok: needinfo? (nb)


Attachments (Terms of Use)

Description Matej Mužila 2019-02-25 14:01:53 UTC
Description of problem:
Mutt upstream renamed pgpring to mutt_pgrping [1]. This makes installation of pgp-tools to fail, because it requires no longer existing /usr/bin/pgpring.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. # dnf install pgp-tools

Actual results: 
 Problem: conflicting requests
  - nothing provides /usr/bin/pgpring needed by pgp-tools-2.7-3.fc29.x86_64

Expected results:
Package properly installed.


Additional info:

[1] https://gitlab.com/muttmua/mutt/commit/a2b289361d90360c37eb19cca2cf1216ab60fb7b

Comment 1 Miro Hrončok 2019-05-13 07:38:58 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2019-05-20 11:20:05 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 3 Miro Hrončok 2019-05-27 09:13:58 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 4 Alick Zhao 2019-06-01 22:20:03 UTC
*** Bug 1712340 has been marked as a duplicate of this bug. ***

Comment 5 Alick Zhao 2019-06-02 23:09:19 UTC
Meanwhile, the upstream of pgp-tools has moved to https://salsa.debian.org/stappers/pgp-tools .

https://salsa.debian.org/stappers/pgp-tools/tree/master/keyanalyze/pgpring looks older than mutt_pgpring per last commit date. So we might want to depend on mutt_pgpring instead.

Comment 6 Miro Hrončok 2019-06-03 10:37:36 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 7 Miro Hrončok 2019-06-10 17:23:23 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 8 Nicholas E. Bebout 2019-06-12 21:30:25 UTC
Sorry for the delay. I will look at it in the next week.  I would do it quicker but I'm going to be heading to a conference tomorrow and may not have time while I am there.  I'll be back Tuesday.

Comment 9 Miro Hrončok 2019-06-12 21:33:02 UTC
Thanks.

Comment 10 Miro Hrončok 2019-07-22 11:23:31 UTC
Nick?

$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install pgp-tools
Problem: conflicting requests
 - nothing provides /usr/bin/pgpring needed by pgp-tools-2.7-3.fc29.x86_64

Comment 11 Miro Hrončok 2019-08-21 15:47:09 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 12 Miro Hrončok 2019-08-28 11:15:23 UTC
This was already retired due to FTBFS.

Comment 13 Miro Hrončok 2019-08-30 11:57:43 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 14 Adam Williamson 2019-08-30 16:08:22 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 15 Miro Hrončok 2019-08-31 07:39:38 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.